## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.5.0
%bcond_without check

# https://github.com/openshift-online/ocm-sdk-go
%global goipath         github.com/openshift-online/ocm-sdk-go
Version:                0.1.266

%gometa

%global common_description %{expand:
SDK for the Red Hat OpenShift Cluster Manager.}

%global golicenses      LICENSE.txt
%global godocs          examples README.adoc

Name:           %{goname}
Release:        %autorelease
Summary:        SDK for the Red Hat OpenShift Cluster Manager

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/cenkalti/backoff/v4)
BuildRequires:  golang(github.com/evanphx/json-patch/v5)
BuildRequires:  golang(github.com/golang-jwt/jwt/v4)
BuildRequires:  golang(github.com/golang/glog)
BuildRequires:  golang(github.com/google/uuid)
BuildRequires:  golang(github.com/itchyny/gojq)
BuildRequires:  golang(github.com/jackc/pgx/v4/stdlib)
BuildRequires:  golang(github.com/json-iterator/go)
BuildRequires:  golang(github.com/microcosm-cc/bluemonday)
BuildRequires:  golang(github.com/onsi/ginkgo/v2/dsl/core)
BuildRequires:  golang(github.com/onsi/gomega)
BuildRequires:  golang(github.com/onsi/gomega/ghttp)
BuildRequires:  golang(github.com/onsi/gomega/types)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(golang.org/x/net/http2/h2c)
BuildRequires:  golang(gopkg.in/yaml.v3)
BuildRequires:  golang(k8s.io/api/core/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/jackc/pgconn)
BuildRequires:  golang(github.com/lib/pq)
BuildRequires:  golang(github.com/onsi/ginkgo/v2/dsl/table)
BuildRequires:  golang(github.com/onsi/gomega/gbytes)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
# Exclude leadership package because that starts a database container
# Exclude retry because it's very timing-dependent, and too slow on certain platforms
%gocheck -d leadership -d retry
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.1.266-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 0.1.266-3
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.1.266-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 16 2022 Sanne Raymaekers <sanne.raymaekers@gmail.com> 0.1.266-1
- Update to 0.1.266

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.1.211-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Oct 06 2021 Sanne Raymaekers <sanne.raymaekers@gmail.com> 0.1.211-1
- Update to 0.1.211

* Tue Aug 24 2021 Sanne Raymaekers <sanne.raymaekers@gmail.com> 0.1.200-1
- Initial import (#1996995)
